libSPF v1.0: Globals

Main Page | Data Structures | File List | Data Fields | Globals | Search for
All | Functions | Variables | Typedefs | Enumerations | Enumeration values | Defines
_ | a | c | d | e | f | h | i | m | n | o | p | r | s | t | u | v | x

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - _ -

- _DNS_gethostbyname_r_free() : dns.h
- _DNS_H : dns.h
- _dummy_debug() : util.h, util.c
- _dummy_pdebug() : util.h, util.c
- _MACRO_H : macro.h
- _MAIN_H : main.h
- _pprintf_dbg() : util.h, util.c
- _printf_dbg() : util.h, util.c
- _SPF_clear_holdbufs() : main.c
- _SPF_H : spf.h
- _UTIL_H : util.h
- _UTIL_pthread_mutex() : util.h, util.c

### - a -

- A : spf.h
- ALL : spf.h
- ALLOW : spf.h

### - c -

- confg : spf.h, main.c

### - d -

- dbg_pprintf : util.h
- dbg_printf : util.h
- DEBUG_LOG_FILE : util.h
- DEFAULT : spf.h
- DEFER : spf.h
- DNS_check_client_reverse() : dns.h, dns.c
- DNS_cname_answer() : dns.h, dns.c
- dns_mutex : dns.c
- DNS_mx_answer() : dns.h, dns.c
- DNS_ptr_answer() : dns.h, dns.c
- DNS_query() : dns.h, dns.c
- DNS_txt_answer() : dns.h, dns.c

### - e -

- errno : util.c
- EXISTS : spf.h
- EXPLAIN : spf.h

### - f -

- f_bit_set : util.h
- FL_A : main.h
- FL_B : main.h
- FL_C : main.h
- FL_D : main.h
- FL_E : main.h
- FL_F : main.h
- FL_G : main.h

### - h -

- h_errno : main.c, dns.h
- HDR_ERROR : main.h
- HDR_H_FAIL : main.h
- HDR_NEUTRAL : main.h
- HDR_NONE : main.h
- HDR_PASS : main.h
- HDR_S_FAIL : main.h
- HDR_UNKNOWN : main.h
- HDR_UNMECH : main.h
- HR_ERROR : spf.h
- HR_H_FAIL : spf.h
- HR_NEUTRAL : spf.h
- HR_NONE : spf.h
- HR_PASS : spf.h
- HR_RFC2822 : spf.h
- HR_S_FAIL : spf.h
- HR_UNKNOWN : spf.h
- HR_UNMECH : spf.h

### - i -

- INCLUDE : spf.h
- IP4 : spf.h
- IP6 : spf.h

### - m -

- MACRO_addbuf() : macro.h, macro.c
- MACRO_eatmore() : macro.h, macro.c
- MACRO_expand() : macro.h, macro.c
- MACRO_process() : macro.h, macro.c
- MX : spf.h

### - n -

- NO_POLICY : spf.h

### - o -

- OUTPUT_LOG_FILE : util.h

### - p -

- peer_info_t : spf.h
- policy_addr_t : spf.h
- PTR : spf.h

### - r -

- REDIRECT : spf.h
- REJECT : spf.h
- RES_ERROR : main.h
- RES_H_FAIL : main.h
- RES_NEUTRAL : main.h
- RES_NONE : main.h
- RES_PASS : main.h
- RES_S_FAIL : main.h
- RES_UNKNOWN : main.h
- RES_UNMECH : main.h

### - s -

- SIZEOF : util.h
- SPF_ACTION : spf.h
- SPF_BOOL : spf.h
- SPF_build_header() : spf.h, main.h, main.c
- SPF_close() : spf.h, main.h, main.c
- spf_config_t : spf.h
- SPF_ERROR : spf.h
- SPF_EXPLAIN : spf.h
- SPF_FALSE : spf.h
- SPF_get_explain() : spf.h, main.h, main.c
- SPF_GUESS : spf.h
- SPF_H_FAIL : spf.h
- SPF_init() : spf.h, main.h, main.c
- SPF_MAX_CNAME : spf.h
- SPF_MAX_CUR_DOM : spf.h
- SPF_MAX_DATETIME : util.h
- SPF_MAX_DEBUG : spf.h
- SPF_MAX_DELIM : spf.h
- SPF_MAX_ENV_HELO : spf.h
- SPF_MAX_ENV_RECV : spf.h
- SPF_MAX_ENV_SENDER : spf.h
- SPF_MAX_ERROR : spf.h
- SPF_MAX_EXPLAIN_S : spf.h
- SPF_MAX_GHBNR_DBUF : util.h
- SPF_MAX_HEADER : spf.h
- SPF_MAX_HNAME : spf.h
- SPF_MAX_IP_ADDR : spf.h
- SPF_MAX_IP_VER : spf.h
- SPF_MAX_LOCAL_PART : spf.h
- SPF_MAX_MACRO : spf.h
- SPF_MAX_MECHANISM : spf.h
- SPF_MAX_RECURSE : main.h
- SPF_MAX_RES_STR : spf.h
- SPF_MAX_RESULT : spf.h
- SPF_MAX_SMTP_RES : spf.h
- SPF_MAX_STR : spf.h
- SPF_MAX_UTC_TIME : spf.h
- SPF_MAXCDNAME : dns.h
- SPF_MAXDNAME : dns.h
- SPF_MECHANISM : spf.h
- SPF_NEUTRAL : spf.h
- SPF_NONE : spf.h
- SPF_PACKETSZ : dns.h
- SPF_parse_policy() : spf.h, main.h, main.c
- SPF_PASS : spf.h
- SPF_policy_main() : spf.h, main.h, main.c
- SPF_policy_main_rec() : spf.h, main.h, main.c
- SPF_RESULT : spf.h
- SPF_result() : spf.h, main.h, main.c
- spf_result_t : spf.h
- spf_rlevel : spf.h
- SPF_S_FAIL : spf.h
- SPF_smtp_from() : spf.h, main.h, main.c
- SPF_smtp_helo() : spf.h, main.h, main.c
- SPF_TRUE : spf.h
- SPF_TRUSTED : spf.h
- SPF_UNKNOWN : spf.h
- SPF_UNMECH : spf.h
- SPF_VERSION : spf.h
- split_str_node_t : spf.h
- split_str_t : spf.h
- strbuf_node_t : spf.h
- strbuf_t : spf.h

### - t -

- TARPIT : spf.h

### - u -

- UNMECH : spf.h
- urlchr_table : util.h
- urlchr_test : util.h
- UTIL_a_cmp() : util.h, util.c
- UTIL_addnode() : util.h, util.c
- UTIL_assoc_prefix() : util.h, util.c
- UTIL_cidr_cmp() : util.h, util.c
- UTIL_count_delim() : util.h, util.c
- UTIL_expand_ip() : util.h, util.c
- UTIL_free() : util.h, util.c
- UTIL_get_date() : util.h, util.c
- UTIL_get_dname() : util.h, util.c
- UTIL_get_mech_prefix() : util.h, util.c
- UTIL_get_policy_mech() : util.h, util.c
- UTIL_index() : util.h, util.c
- UTIL_is_ip() : util.h, util.c
- UTIL_is_macro() : util.h, util.c
- UTIL_is_spf_delim() : util.h, util.c
- UTIL_is_spf_result() : util.h, util.c
- UTIL_log_result() : util.h, util.c
- UTIL_malloc() : util.h, util.c
- util_mutex : util.h, util.c
- UTIL_mx_cmp() : util.h, util.c
- UTIL_ptr_cmp() : util.h, util.c
- UTIL_realloc() : util.h, util.c
- UTIL_rev_addr() : util.h, util.c
- UTIL_reverse() : util.h, util.c
- UTIL_split_str() : util.h, util.c
- UTIL_split_strr() : util.h, util.c
- UTIL_strdup() : util.h, util.c
- UTIL_strndup() : util.h, util.c
- UTIL_url_encode() : util.h, util.c
- UTIL_validate_hostname() : util.h, util.c
- UTIL_validate_ptr() : util.h, util.c

### - v -

- VERSION : spf.h

### - x -

- xepprintf : util.h
- xeprintf : util.h
- xfree : util.h
- xgethostbyname : dns.h
- xgethostbyname_free : dns.h
- xmalloc : util.h
- xpprintf : util.h
- xprintf : util.h
- xpthread_mutex_lock : util.h
- xpthread_mutex_unlock : util.h
- xrealloc : util.h
- xstrdup : util.h
- xstrndup : util.h
- xvprintf : util.h